diff --git a/changelog b/changelog
index 13e29ff..04aaa39 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20091001 tpd src/axiom-website/patches.html 20091001.02.tpd.patch
+20091001 tpd src/interp/match.lisp cleanup
 20091001 tpd src/axiom-website/patches.html 20091001.01.tpd.patch
 20091001 tpd src/interp/msgdb.lisp cleanup
 20090930 tpd src/axiom-website/patches.html 20090930.04.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 5f1c3d8..c13cb86 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -2073,5 +2073,7 @@ src/interp/newfort.lisp cleanup<br/>
 src/interp/nci.lisp cleanup<br/>
 <a href="patches/20091001.01.tpd.patch">20091001.01.tpd.patch</a>
 src/interp/msgdb.lisp cleanup<br/>
+<a href="patches/20091001.02.tpd.patch">20091001.02.tpd.patch</a>
+src/interp/match.lisp cleanup<br/>
  </body>
 </html>
diff --git a/src/interp/match.lisp.pamphlet b/src/interp/match.lisp.pamphlet
index bfc97c6..dc7e287 100644
--- a/src/interp/match.lisp.pamphlet
+++ b/src/interp/match.lisp.pamphlet
@@ -337,6 +337,7 @@
 
 (DEFUN |patternCheck,subWild| (|s| |i|)
   (PROG (|k|)
+  (declare (special |$wildCard| |$oldWild|))
     (RETURN
       (SEQ (IF (> (|#| |s|)
                   (SPADLET |k| (|charPosition| |$oldWild| |s| |i|)))
@@ -362,7 +363,7 @@
 
 (DEFUN |patternCheck| (|pattern|)
   (PROG (|$oldWild| |u| |c|)
-    (DECLARE (SPECIAL |$oldWild|))
+    (DECLARE (SPECIAL |$oldWild| |$wildCard|))
     (RETURN
       (SEQ (PROGN
              (SPADLET |u| (|patternCheck,pos| (|char| '_) |pattern|))
@@ -461,6 +462,7 @@
 
 (DEFUN |basicMatch?| (|pattern| |target|)
   (PROG (|n| |ltarget| |returnFlag| |i| |p| |q| |s| |ans|)
+  (declare (special |$wildCard|))
     (RETURN
       (SEQ (PROGN
              (SPADLET |n| (|#| |pattern|))
@@ -562,6 +564,7 @@
 
 (DEFUN |matchAnySegment?| (|pattern| |target| |k| |nc|)
   (PROG (|n| |m| |ltarget| |returnFlag| |i| |p| |q| |s| |ans|)
+  (declare (special |$wildCard|))
     (RETURN
       (SEQ (PROGN
              (SPADLET |n| (|#| |pattern|))
